﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using System.Data.OleDb;

namespace TellBookForCsharp
{
    public partial class frmAddMembers : Form
    {
        public frmAddMembers()
        {
            InitializeComponent();
        }
        public bool Add_Edit = true;
        string ConnectionString = "Provider=Microsoft.Jet.OLEDB.4.0;Data Source=" + Application.StartupPath + "\\bank.mdb";

        private void btnClose_Click(object sender, EventArgs e)
        {
            Close();
        }

        private void btnSave_Click(object sender, EventArgs e)
        {
            try
            {
                if(txtID.Text=="")
                {
                    MessageBox.Show("کاربر گرامی لطفا شماره ثبت را وارد کنید", "ثبت مخاطب", MessageBoxButtons.OK, MessageBoxIcon.Exclamation, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading);
                    txtID.Select();
                    return;
                }
                if (txtLname.Text == "")
                {
                    MessageBox.Show("کاربر گرامی لطفا نام خانوادگی را وارد کنید", "ثبت مخاطب", MessageBoxButtons.OK, MessageBoxIcon.Exclamation, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading);
                    txtLname.Select();
                    return;
                }
                if (comboGroup.Text == "")
                {
                    MessageBox.Show("کاربر گرامی لطفا گروه را وارد کنید", "ثبت مخاطب", MessageBoxButtons.OK, MessageBoxIcon.Exclamation, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading);
                    comboGroup.Select();
                    return;
                }
               
                if (txtAddress.Text == "")
                {
                    MessageBox.Show("کاربر گرامی لطفا آدرس را وارد کنید", "ثبت مخاطب", MessageBoxButtons.OK, MessageBoxIcon.Exclamation, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading);
                    txtAddress.Select();
                    return;
                }
                if (Add_Edit == true)
                {
                    OleDbConnection ocn = new OleDbConnection(ConnectionString);
                    OleDbCommand ocm = new OleDbCommand();
                    ocm.CommandText = "INSERT INTO TList (ID,Lname,LGroup,LTell,LSite,Laddress) VALUES (@p1,@p2,@p3,@p4,@p5,@p6)";
                    ocm.Parameters.Clear();
                    ocm.Parameters.AddWithValue("@p1", txtID.Text);
                    ocm.Parameters.AddWithValue("@p2", txtLname.Text);
                    ocm.Parameters.AddWithValue("@p3", comboGroup.Text);
                    ocm.Parameters.AddWithValue("@p4", txtHomePhone.Text);
                    ocm.Parameters.AddWithValue("@p5", txtSiteName.Text);
                    ocm.Parameters.AddWithValue("@p6", txtAddress.Text );
                    ocm.Connection = ocn;
                    ocn.Open();
                    ocm.ExecuteNonQuery();
                    ocn.Close();
                    ocn.Dispose();
                    MessageBox.Show("مخاطب مورد نظر با موفقیت ثبت شد", "ثبت مخاطل", MessageBoxButtons.OK, MessageBoxIcon.Information, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading);
                    Close();
                }
                else
                {
                    OleDbConnection ocn = new OleDbConnection(ConnectionString);
                    OleDbCommand ocm = new OleDbCommand();
                    ocm.CommandText = "UPDATE TList Set Lname=? , LGroup=? , LTell=? , LSite=? , Laddress=? Where ID=?";
                    ocm.Parameters.Clear();
                    ocm.Parameters.AddWithValue("@p6", txtLname.Text);
                    ocm.Parameters.AddWithValue("@p5", comboGroup.Text);
                    ocm.Parameters.AddWithValue("@p4", txtHomePhone.Text);
                    ocm.Parameters.AddWithValue("@p3", txtSiteName.Text );
                    ocm.Parameters.AddWithValue("@p2", txtAddress.Text);
                    ocm.Parameters.AddWithValue("@p1", txtID.Text);
                    ocm.Connection = null;
                    ocm.Connection = ocn;
                    ocn.Open();
                    ocm.ExecuteNonQuery();
                    ocn.Close();
                    ocm.Dispose();
                    ocn.Dispose();
                    MessageBox.Show("مخاطب مورد نظر با موفقیت ویرایش شد", "ویرایش مخاطب", MessageBoxButtons.OK, MessageBoxIcon.Information, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading);
                    Close();
                }
            }
            catch
            {
                MessageBox.Show("کاربر گرامی شماره ثبت تکراری است", "خطا", MessageBoxButtons.OK, MessageBoxIcon.Exclamation, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading);
            }
        }

        private void txtID_KeyPress(object sender, KeyPressEventArgs e)
        {
            e.Handled = !(char.IsDigit(e.KeyChar) || e.KeyChar == '\b');
        }

        private void btnClr3_Click(object sender, EventArgs e)
        {
            txtHomePhone.Text = "";
        }

        private void btnClr2_Click(object sender, EventArgs e)
        {
            
        }

        private void txtMobile_KeyPress(object sender, KeyPressEventArgs e)
        {
            e.Handled = !(char.IsDigit(e.KeyChar) || e.KeyChar == '\b');
        }

        private void txtHomePhone_KeyPress(object sender, KeyPressEventArgs e)
        {
            e.Handled = !(char.IsDigit(e.KeyChar) || e.KeyChar == '\b');
        }

        private void frmAddMembers_Load(object sender, EventArgs e)
        {
            string a = "1";
            string str;
            try
            {
                if (Add_Edit == true)
                {

                    OleDbConnection ocn1 = new OleDbConnection(ConnectionString);
                    OleDbCommand sqlCmd = new OleDbCommand("SELECT COUNT(*) FROM TList", ocn1);
                    OleDbCommand cm1 = new OleDbCommand("SELECT * FROM TGroup", ocn1);
                    OleDbDataAdapter da = new OleDbDataAdapter(cm1);
                    DataSet ds = new DataSet();
                    ocn1.Open();
                    da.Fill(ds, "TGroup");
                    comboGroup.DataSource = ds;
                    comboGroup.DisplayMember = "TGroup.LNameGroup";
                    str = Convert.ToString((int)sqlCmd.ExecuteScalar());
                    int b = Int32.Parse(str) + Int32.Parse(a);
                    txtID.Text = b.ToString();
                }
                else
                {
                    OleDbConnection ocn1 = new OleDbConnection(ConnectionString);
                    OleDbCommand cm1 = new OleDbCommand("SELECT * FROM TGroup", ocn1);
                    OleDbDataAdapter da = new OleDbDataAdapter(cm1);
                    DataSet ds = new DataSet();
                    ocn1.Open();
                    da.Fill(ds, "TGroup");
                    comboGroup.DataSource = ds;
                    comboGroup.DisplayMember = "TGroup.LNameGroup";
                }
            }
            catch
            {
                MessageBox.Show("کاربر گرامی نرم افزار با مشکل مواجعه شده است", "خطا", MessageBoxButtons.OK, MessageBoxIcon.Error, MessageBoxDefaultButton.Button1, MessageBoxOptions.RtlReading);
            }
        }

    }
}
